Subject: bug#64024: 29.0.91; `emoji-insert` shows me confusing empty lists

From: Stefan Monnier <[email-masked]>
Date: Wed, 14 Jun 2023 18:49:20 -0400

> Perhaps the emoji-* commands (C-x 8 e [eilrs]) should simply error out when
> (list-fonts (font-spec :script 'emoji)) is nil?

FWIW, I do like being able to insert some emojis even if I don't have
access to all of them (and actually I'd even be happy to insert them
without being able to see them, assuming I can see their name
instead :-)

I notice also the list of "recent" emojis is not filtered according to
the available fonts, so I see tofu for some of them.  It would be good
to replace the tofu with a readable description.

        Stefan